Bug 146545 - DRI permissions incorrect
DRI permissions incorrect
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-29 08:37 EST by Richard Hughes
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 09:02:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard Hughes 2005-01-29 08:37:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
The default permissions on /dev/dri/card* are root:root crw-rw----
This prevents ordinary users from using the device, which they need to
do when they run soffice or glxgears etc...
chmodding /dev/dri/card* to 0666 (crw-rw-rw-) fixes the problem, but
only until next boot.
Changing /etc/udev/permissions.d/50-udev.permissions to use 0666 for
all the dri drivers fixes the problem.

Version-Release number of selected component (if applicable):
udev-050-1

How reproducible:
Always

Steps to Reproduce:
1. Install rawhide kernel (>2.6.9)
2. $glxgears or $oowriter

Actual Results:  Seg fault.

Expected Results:  Program should load. (Users should have access to dri.)

Additional info:

If I run strace oowriter or strace glxgears I get
...
geteuid32()                             = 500
stat64("/dev/dri", {st_mode=S_IFDIR|0755, st_size=80, ...}) = 0
stat64("/dev/dri/card13", 0xbfec2e8c)   = -1 ENOENT (No such file or
directory)
geteuid32()                             = 500
stat64("/dev/dri", {st_mode=S_IFDIR|0755, st_size=80, ...}) = 0
stat64("/dev/dri/card14", 0xbfec2e8c)   = -1 ENOENT (No such file or
directory)
munmap(0x9b4838, 8192)                  = -1 EINVAL (Invalid argument)
munmap(0x9d55248, 3219928560)           = -1 EINVAL (Invalid argument)
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
Comment 1 Ralf Ertzinger 2005-01-30 12:17:07 EST
Something is wrong with your xorg conf. There ought to be a section
like this:

Section "DRI"
        Group        0
        Mode         0666
EndSection

This takes care of the proper permissions for the DRI devices.
Comment 2 Harald Hoyer 2005-01-31 05:10:41 EST
Ralf is right!
Comment 3 Richard Hughes 2005-02-02 13:53:07 EST
There *is* such a section in my xorg.conf

Section "DRI"
        Group        0
        Mode         0666
EndSection

It would appear that the device permission isn't being set according
to this file. Shouldn't device permissions be done in rules.d
directory anyway... 

Bug re-opened....
Comment 4 Ralf Ertzinger 2005-02-16 10:42:58 EST
My apologies to Richard, I am seeing this too, now. Rawhide current as
of today.

Note You need to log in before you can comment on or make changes to this bug.